#!/usr/bin/ruby

require_relative '../lib/TrRMIte'

#
# using an explicit producer
#

producer = TrRMIte::Producer.new
producer.publish(
  TrRMIte::Event.new(
    topic:   'SomeEventTopic',
    type:    'SomeEventType',
    payload: {
      foo:     1,
      bar:     0,
      qux:    -1,
      blegga: 42,
    },
  ),

)

#
# using the default producer
#

TrRMIte.publish(
  TrRMIte::Event.new(
    topic:   'SomeEventTopic',
    type:    'SomeEventType',
    payload: {
      foo:     1,
      bar:     0,
      qux:    -1,
      blegga: 42,
    },
  ),

)

#
# without creating an event
#

TrRMIte.publish(
  'SomeEventTopic',
  'SomeEventType',
  {
    foo:     1,
    bar:     0,
    qux:    -1,
    blegga: 42,
  },

)

# That's all Folks!
