module TrRMIte
  module Consumers
    class Nil < Consumer

      def initialize(topic, registry_uri)
        super('NIL_CONSUMER', topic, registry_uri)

        @processed_event_count = 0
        @max_event_count = ENV['MAX_EVENT_COUNT'].to_i
      end

      private

      def process event
        @stop_processing = (@processed_event_count += 1) == @max_event_count
      end

    end
  end
end
