module TrRMIte
  module Defaults

    def self.included(base)
      base.extend(ClassMethods)
    end

    module ClassMethods

      def trrmite_name
        const_get('TRRMITE_NAME')
      rescue NameError
        TrRMIte.inflect((name.split('::') - ['Manager']).last, :upcase)
      end

      alias_method :consumer_name, :trrmite_name
      alias_method :producer_name, :trrmite_name

      def trrmite_topic
        const_get('TRRMITE_TOPIC')
      rescue NameError
        TrRMIte::DEFAULT_TOPIC
      end

      alias_method :consumer_topic, :trrmite_topic
      alias_method :producer_topic, :trrmite_topic

    end

  end
end
