# -*- encoding: utf-8 -*-
# stub: TrRMIte 7.39.0 ruby lib

Gem::Specification.new do |s|
  s.name = "TrRMIte".freeze
  s.version = "7.39.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Simply Business".freeze]
  s.bindir = "exe".freeze
  s.date = "2018-11-26"
  s.description = "Build real-time telephony systems using event sourcing".freeze
  s.email = ["tech@simplybusiness.co.uk".freeze]
  s.executables = ["console_consumer".freeze, "console_producer".freeze, "consumer_control".freeze, "nil_consumer".freeze, "progress_consumer".freeze, "scheduler_control".freeze, "trrmite".freeze, "trrmite_consumer".freeze, "trrmite_consumers".freeze, "trrmite_control".freeze, "trrmite_producer".freeze, "trrmite_status".freeze]
  s.files = ["exe/console_consumer".freeze, "exe/console_producer".freeze, "exe/consumer_control".freeze, "exe/nil_consumer".freeze, "exe/progress_consumer".freeze, "exe/scheduler_control".freeze, "exe/trrmite".freeze, "exe/trrmite_consumer".freeze, "exe/trrmite_consumers".freeze, "exe/trrmite_control".freeze, "exe/trrmite_producer".freeze, "exe/trrmite_status".freeze]
  s.homepage = "https://github.com/simplybusiness/TrRMIte".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A near-zero latency event broker for real-time telephony systems".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<slop>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<daemons>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<progressbar>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry-doc>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry-rescue>.freeze, [">= 0"])
  else
    s.add_dependency(%q<slop>.freeze, ["~> 4.0"])
    s.add_dependency(%q<daemons>.freeze, ["~> 1.2"])
    s.add_dependency(%q<progressbar>.freeze, ["~> 1.9"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<pry-doc>.freeze, [">= 0"])
    s.add_dependency(%q<pry-rescue>.freeze, [">= 0"])
  end
end
